Bug 6154 - Default sorting by title doesn't work
Summary: Default sorting by title doesn't work
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Jared Camins-Esakov
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-10 14:42 UTC by Jared Camins-Esakov
Modified: 2012-10-25 23:09 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (2.55 KB, patch)
2011-04-10 21:37 UTC, Ian Walls
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2011-04-10 14:42:08 UTC
If you have the default sorting set to title ascending or title descending, your search results will not automatically be sorted because the syspref uses title_asc and title_dsc, whereas Search.pm wants title_az and title_za.
Comment 1 Ian Walls 2011-04-10 21:37:56 UTC
Created attachment 3854 [details] [review]
proposed patch
Comment 2 Chris Cormack 2011-04-13 01:59:08 UTC
Bug submitted after string freeze but that doesnt touch templates, pushing, please test
Comment 3 Jared Camins-Esakov 2011-07-08 14:41:00 UTC
Seems to be working now. Closing.